Subject: Re: problems with e1000 and jumboframes

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 4 Aug 2006 23:42:11 +0400

On Fri, Aug 04, 2006 at 08:34:46AM -0700, Chris Leech ([email-masked]) wrote:
> So how many skb allocation schemes do you code into a single driver?
> Kmalloc everything, page alloc everything, combination of kmalloc and
> page buffers for hardware that does header split?  That's three
> versions of the drivers receive processing and skb allocation that
> need to be maintained.

At least try to create scheme which will not end up in 32k allocation in
atomic context. Generally I would recommend to use frag_list as much as
possible (or you can reuse skb list).
 
> - Chris

-- 
	Evgeniy Polyakov